{
  "parent": "allthefish:kill_tropical_fish_all",
  "criteria": {
    "kill_100663552": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100663552}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100729088": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100729088}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100794624": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100794624}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100860160": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100860160}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100925696": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100925696}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_100991232": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:100991232}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101056768": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101056768}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101122304": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101122304}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101187840": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101187840}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101253376": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101253376}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101318912": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101318912}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101384448": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101384448}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101449984": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101449984}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101515520": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101515520}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101581056": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101581056}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_101646592": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:101646592}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117440768": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117440768}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117506304": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117506304}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117571840": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117571840}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117637376": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117637376}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117702912": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117702912}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117768448": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117768448}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117833984": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117833984}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117899520": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117899520}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_117965056": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:117965056}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118030592": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118030592}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118096128": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118096128}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118161664": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118161664}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118227200": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118227200}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118292736": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118292736}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118358272": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118358272}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_118423808": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:118423808}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_131328": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:131328}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134217984": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134217984}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134283520": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134283520}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134349056": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134349056}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134414592": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134414592}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134480128": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134480128}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134545664": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134545664}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134611200": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134611200}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134676736": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134676736}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134742272": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134742272}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134807808": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134807808}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134873344": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134873344}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_134938880": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:134938880}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_135004416": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:135004416}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_135069952": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:135069952}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_135135488": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:135135488}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_135201024": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:135201024}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_150995200": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:150995200}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151060736": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151060736}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151126272": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151126272}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151191808": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151191808}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151257344": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151257344}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151322880": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151322880}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151388416": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151388416}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151453952": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151453952}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151519488": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151519488}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151585024": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151585024}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151650560": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151650560}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151716096": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151716096}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151781632": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151781632}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151847168": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151847168}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151912704": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151912704}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_151978240": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:151978240}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_167772416": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:167772416}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_16777472": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:16777472}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_167837952": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:167837952}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_167903488": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:167903488}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_167969024": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:167969024}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168034560": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168034560}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168100096": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168100096}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168165632": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168165632}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168231168": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168231168}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168296704": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168296704}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168362240": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168362240}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168427776": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168427776}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_16843008": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:16843008}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168493312": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168493312}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168558848": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168558848}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168624384": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168624384}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168689920": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168689920}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_168755456": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:168755456}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_16908544": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:16908544}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_16974080": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:16974080}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17039616": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17039616}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17105152": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17105152}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17170688": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17170688}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17236224": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17236224}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17301760": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17301760}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17367296": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17367296}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17432832": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17432832}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17498368": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17498368}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17563904": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17563904}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17629440": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17629440}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17694976": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17694976}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_17760512": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:17760512}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184549632": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184549632}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184615168": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184615168}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184680704": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184680704}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184746240": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184746240}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184811776": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184811776}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184877312": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184877312}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_184942848": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:184942848}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185008384": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185008384}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185073920": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185073920}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185139456": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185139456}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185204992": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185204992}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185270528": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185270528}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185336064": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185336064}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185401600": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185401600}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185467136": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185467136}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_185532672": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:185532672}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_196864": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:196864}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201326848": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201326848}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201392384": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201392384}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201457920": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201457920}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201523456": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201523456}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201588992": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201588992}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201654528": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201654528}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201720064": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201720064}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201785600": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201785600}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201851136": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201851136}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201916672": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201916672}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_201982208": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:201982208}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202047744": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202047744}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202113280": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202113280}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202178816": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202178816}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202244352": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202244352}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_202309888": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:202309888}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218104064": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218104064}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218169600": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218169600}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218235136": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218235136}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218300672": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218300672}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218366208": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218366208}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218431744": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218431744}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218497280": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218497280}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218562816": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218562816}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218628352": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218628352}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218693888": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218693888}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218759424": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218759424}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218824960": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218824960}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218890496": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218890496}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_218956032": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:218956032}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_219021568": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:219021568}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_219087104": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:219087104}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_234881280": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:234881280}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_234946816": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:234946816}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235012352": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235012352}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235077888": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235077888}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235143424": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235143424}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235208960": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235208960}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235274496": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235274496}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235340032": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235340032}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235405568": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235405568}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235471104": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235471104}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235536640": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235536640}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235602176": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235602176}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235667712": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235667712}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235733248": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235733248}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235798784": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235798784}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_235864320": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:235864320}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251658496": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251658496}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251724032": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251724032}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251789568": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251789568}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251855104": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251855104}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251920640": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251920640}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_251986176": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:251986176}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252051712": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252051712}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252117248": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252117248}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252182784": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252182784}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252248320": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252248320}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252313856": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252313856}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252379392": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252379392}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252444928": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252444928}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252510464": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252510464}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252576000": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252576000}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_252641536": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:252641536}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_256": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:256}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_262400": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:262400}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_327936": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:327936}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33554688": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33554688}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33620224": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33620224}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33685760": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33685760}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33751296": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33751296}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33816832": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33816832}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33882368": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33882368}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_33947904": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:33947904}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34013440": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34013440}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34078976": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34078976}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34144512": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34144512}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34210048": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34210048}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34275584": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34275584}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34341120": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34341120}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34406656": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34406656}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34472192": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34472192}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_34537728": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:34537728}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_393472": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:393472}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_459008": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:459008}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50331904": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50331904}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50397440": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50397440}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50462976": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50462976}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50528512": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50528512}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50594048": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50594048}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50659584": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50659584}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50725120": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50725120}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50790656": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50790656}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50856192": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50856192}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50921728": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50921728}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_50987264": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:50987264}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51052800": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51052800}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51118336": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51118336}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51183872": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51183872}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51249408": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51249408}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_51314944": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:51314944}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_524544": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:524544}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_590080": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:590080}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_655616": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:655616}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_65792": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:65792}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67109120": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67109120}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67174656": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67174656}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67240192": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67240192}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67305728": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67305728}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67371264": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67371264}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67436800": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67436800}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67502336": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67502336}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67567872": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67567872}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67633408": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67633408}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67698944": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67698944}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67764480": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67764480}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67830016": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67830016}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67895552": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67895552}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_67961088": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:67961088}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_68026624": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:68026624}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_68092160": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:68092160}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_721152": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:721152}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_786688": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:786688}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_83886336": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:83886336}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_83951872": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:83951872}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84017408": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84017408}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84082944": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84082944}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84148480": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84148480}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84214016": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84214016}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84279552": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84279552}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84345088": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84345088}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84410624": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84410624}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84476160": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84476160}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84541696": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84541696}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84607232": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84607232}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84672768": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84672768}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84738304": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84738304}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84803840": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84803840}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_84869376": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:84869376}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_852224": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:852224}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_917760": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:917760}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    },
    "kill_983296": {
      "conditions": {
        "entity": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "type": "minecraft:tropical_fish",
              "nbt": "{Variant:983296}"
            }
          }
        ]
      },
      "trigger": "minecraft:player_killed_entity"
    }
  },
  "display": {
    "description": {
      "extra": [
        "Sunstreak",
        " Variant"
      ],
      "text": "Kill the "
    },
    "frame": "goal",
    "icon": {
      "count": 1,
      "id": "minecraft:tropical_fish"
    },
    "title": "Sunstreak"
  },
  "requirements": [
    [
      "kill_256"
    ],
    [
      "kill_16777472"
    ],
    [
      "kill_33554688"
    ],
    [
      "kill_50331904"
    ],
    [
      "kill_67109120"
    ],
    [
      "kill_83886336"
    ],
    [
      "kill_100663552"
    ],
    [
      "kill_117440768"
    ],
    [
      "kill_134217984"
    ],
    [
      "kill_150995200"
    ],
    [
      "kill_167772416"
    ],
    [
      "kill_184549632"
    ],
    [
      "kill_201326848"
    ],
    [
      "kill_218104064"
    ],
    [
      "kill_234881280"
    ],
    [
      "kill_251658496"
    ],
    [
      "kill_65792"
    ],
    [
      "kill_16843008"
    ],
    [
      "kill_33620224"
    ],
    [
      "kill_50397440"
    ],
    [
      "kill_67174656"
    ],
    [
      "kill_83951872"
    ],
    [
      "kill_100729088"
    ],
    [
      "kill_117506304"
    ],
    [
      "kill_134283520"
    ],
    [
      "kill_151060736"
    ],
    [
      "kill_167837952"
    ],
    [
      "kill_184615168"
    ],
    [
      "kill_201392384"
    ],
    [
      "kill_218169600"
    ],
    [
      "kill_234946816"
    ],
    [
      "kill_251724032"
    ],
    [
      "kill_131328"
    ],
    [
      "kill_16908544"
    ],
    [
      "kill_33685760"
    ],
    [
      "kill_50462976"
    ],
    [
      "kill_67240192"
    ],
    [
      "kill_84017408"
    ],
    [
      "kill_100794624"
    ],
    [
      "kill_117571840"
    ],
    [
      "kill_134349056"
    ],
    [
      "kill_151126272"
    ],
    [
      "kill_167903488"
    ],
    [
      "kill_184680704"
    ],
    [
      "kill_201457920"
    ],
    [
      "kill_218235136"
    ],
    [
      "kill_235012352"
    ],
    [
      "kill_251789568"
    ],
    [
      "kill_196864"
    ],
    [
      "kill_16974080"
    ],
    [
      "kill_33751296"
    ],
    [
      "kill_50528512"
    ],
    [
      "kill_67305728"
    ],
    [
      "kill_84082944"
    ],
    [
      "kill_100860160"
    ],
    [
      "kill_117637376"
    ],
    [
      "kill_134414592"
    ],
    [
      "kill_151191808"
    ],
    [
      "kill_167969024"
    ],
    [
      "kill_184746240"
    ],
    [
      "kill_201523456"
    ],
    [
      "kill_218300672"
    ],
    [
      "kill_235077888"
    ],
    [
      "kill_251855104"
    ],
    [
      "kill_262400"
    ],
    [
      "kill_17039616"
    ],
    [
      "kill_33816832"
    ],
    [
      "kill_50594048"
    ],
    [
      "kill_67371264"
    ],
    [
      "kill_84148480"
    ],
    [
      "kill_100925696"
    ],
    [
      "kill_117702912"
    ],
    [
      "kill_134480128"
    ],
    [
      "kill_151257344"
    ],
    [
      "kill_168034560"
    ],
    [
      "kill_184811776"
    ],
    [
      "kill_201588992"
    ],
    [
      "kill_218366208"
    ],
    [
      "kill_235143424"
    ],
    [
      "kill_251920640"
    ],
    [
      "kill_327936"
    ],
    [
      "kill_17105152"
    ],
    [
      "kill_33882368"
    ],
    [
      "kill_50659584"
    ],
    [
      "kill_67436800"
    ],
    [
      "kill_84214016"
    ],
    [
      "kill_100991232"
    ],
    [
      "kill_117768448"
    ],
    [
      "kill_134545664"
    ],
    [
      "kill_151322880"
    ],
    [
      "kill_168100096"
    ],
    [
      "kill_184877312"
    ],
    [
      "kill_201654528"
    ],
    [
      "kill_218431744"
    ],
    [
      "kill_235208960"
    ],
    [
      "kill_251986176"
    ],
    [
      "kill_393472"
    ],
    [
      "kill_17170688"
    ],
    [
      "kill_33947904"
    ],
    [
      "kill_50725120"
    ],
    [
      "kill_67502336"
    ],
    [
      "kill_84279552"
    ],
    [
      "kill_101056768"
    ],
    [
      "kill_117833984"
    ],
    [
      "kill_134611200"
    ],
    [
      "kill_151388416"
    ],
    [
      "kill_168165632"
    ],
    [
      "kill_184942848"
    ],
    [
      "kill_201720064"
    ],
    [
      "kill_218497280"
    ],
    [
      "kill_235274496"
    ],
    [
      "kill_252051712"
    ],
    [
      "kill_459008"
    ],
    [
      "kill_17236224"
    ],
    [
      "kill_34013440"
    ],
    [
      "kill_50790656"
    ],
    [
      "kill_67567872"
    ],
    [
      "kill_84345088"
    ],
    [
      "kill_101122304"
    ],
    [
      "kill_117899520"
    ],
    [
      "kill_134676736"
    ],
    [
      "kill_151453952"
    ],
    [
      "kill_168231168"
    ],
    [
      "kill_185008384"
    ],
    [
      "kill_201785600"
    ],
    [
      "kill_218562816"
    ],
    [
      "kill_235340032"
    ],
    [
      "kill_252117248"
    ],
    [
      "kill_524544"
    ],
    [
      "kill_17301760"
    ],
    [
      "kill_34078976"
    ],
    [
      "kill_50856192"
    ],
    [
      "kill_67633408"
    ],
    [
      "kill_84410624"
    ],
    [
      "kill_101187840"
    ],
    [
      "kill_117965056"
    ],
    [
      "kill_134742272"
    ],
    [
      "kill_151519488"
    ],
    [
      "kill_168296704"
    ],
    [
      "kill_185073920"
    ],
    [
      "kill_201851136"
    ],
    [
      "kill_218628352"
    ],
    [
      "kill_235405568"
    ],
    [
      "kill_252182784"
    ],
    [
      "kill_590080"
    ],
    [
      "kill_17367296"
    ],
    [
      "kill_34144512"
    ],
    [
      "kill_50921728"
    ],
    [
      "kill_67698944"
    ],
    [
      "kill_84476160"
    ],
    [
      "kill_101253376"
    ],
    [
      "kill_118030592"
    ],
    [
      "kill_134807808"
    ],
    [
      "kill_151585024"
    ],
    [
      "kill_168362240"
    ],
    [
      "kill_185139456"
    ],
    [
      "kill_201916672"
    ],
    [
      "kill_218693888"
    ],
    [
      "kill_235471104"
    ],
    [
      "kill_252248320"
    ],
    [
      "kill_655616"
    ],
    [
      "kill_17432832"
    ],
    [
      "kill_34210048"
    ],
    [
      "kill_50987264"
    ],
    [
      "kill_67764480"
    ],
    [
      "kill_84541696"
    ],
    [
      "kill_101318912"
    ],
    [
      "kill_118096128"
    ],
    [
      "kill_134873344"
    ],
    [
      "kill_151650560"
    ],
    [
      "kill_168427776"
    ],
    [
      "kill_185204992"
    ],
    [
      "kill_201982208"
    ],
    [
      "kill_218759424"
    ],
    [
      "kill_235536640"
    ],
    [
      "kill_252313856"
    ],
    [
      "kill_721152"
    ],
    [
      "kill_17498368"
    ],
    [
      "kill_34275584"
    ],
    [
      "kill_51052800"
    ],
    [
      "kill_67830016"
    ],
    [
      "kill_84607232"
    ],
    [
      "kill_101384448"
    ],
    [
      "kill_118161664"
    ],
    [
      "kill_134938880"
    ],
    [
      "kill_151716096"
    ],
    [
      "kill_168493312"
    ],
    [
      "kill_185270528"
    ],
    [
      "kill_202047744"
    ],
    [
      "kill_218824960"
    ],
    [
      "kill_235602176"
    ],
    [
      "kill_252379392"
    ],
    [
      "kill_786688"
    ],
    [
      "kill_17563904"
    ],
    [
      "kill_34341120"
    ],
    [
      "kill_51118336"
    ],
    [
      "kill_67895552"
    ],
    [
      "kill_84672768"
    ],
    [
      "kill_101449984"
    ],
    [
      "kill_118227200"
    ],
    [
      "kill_135004416"
    ],
    [
      "kill_151781632"
    ],
    [
      "kill_168558848"
    ],
    [
      "kill_185336064"
    ],
    [
      "kill_202113280"
    ],
    [
      "kill_218890496"
    ],
    [
      "kill_235667712"
    ],
    [
      "kill_252444928"
    ],
    [
      "kill_852224"
    ],
    [
      "kill_17629440"
    ],
    [
      "kill_34406656"
    ],
    [
      "kill_51183872"
    ],
    [
      "kill_67961088"
    ],
    [
      "kill_84738304"
    ],
    [
      "kill_101515520"
    ],
    [
      "kill_118292736"
    ],
    [
      "kill_135069952"
    ],
    [
      "kill_151847168"
    ],
    [
      "kill_168624384"
    ],
    [
      "kill_185401600"
    ],
    [
      "kill_202178816"
    ],
    [
      "kill_218956032"
    ],
    [
      "kill_235733248"
    ],
    [
      "kill_252510464"
    ],
    [
      "kill_917760"
    ],
    [
      "kill_17694976"
    ],
    [
      "kill_34472192"
    ],
    [
      "kill_51249408"
    ],
    [
      "kill_68026624"
    ],
    [
      "kill_84803840"
    ],
    [
      "kill_101581056"
    ],
    [
      "kill_118358272"
    ],
    [
      "kill_135135488"
    ],
    [
      "kill_151912704"
    ],
    [
      "kill_168689920"
    ],
    [
      "kill_185467136"
    ],
    [
      "kill_202244352"
    ],
    [
      "kill_219021568"
    ],
    [
      "kill_235798784"
    ],
    [
      "kill_252576000"
    ],
    [
      "kill_983296"
    ],
    [
      "kill_17760512"
    ],
    [
      "kill_34537728"
    ],
    [
      "kill_51314944"
    ],
    [
      "kill_68092160"
    ],
    [
      "kill_84869376"
    ],
    [
      "kill_101646592"
    ],
    [
      "kill_118423808"
    ],
    [
      "kill_135201024"
    ],
    [
      "kill_151978240"
    ],
    [
      "kill_168755456"
    ],
    [
      "kill_185532672"
    ],
    [
      "kill_202309888"
    ],
    [
      "kill_219087104"
    ],
    [
      "kill_235864320"
    ],
    [
      "kill_252641536"
    ]
  ],
  "sends_telemetry_event": true
}